com.h3c.sdn.tvue

## Interface TopologyViewerService

-     public interface TopologyViewerService

  Sample TopologyViewer service interface.

  FIXME: Revamp to use new API constructs.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MutableFlow` | `createFlow(String srcId, String dstId)` Creates a new flow descriptor with source and destination information for the specified nodes.
    `Set<AggregateLink>` | `getAggregateLinks()` Returns all links in aggregated form.
    `List<MBodyFlowStats>` | `getFlowStats(String id)` Returns list of switch flow stats.
    `long` | `getHostNumber()`
    `Set<TopologyLink>` | `getLinks()` Returns all links.
    `boolean` | `getNetNodeDpDesc(TopologyNode node)` returns void
    `TopologyNode` | `getNode(String id)` Returns the node with the specified id.
    `Set<TopologyNode>` | `getNodes()` Returns all nodes.
    `TopologyPath` | `getPath(Flow flow)` Returns the path between the specified nodes using the supplied flow descriptor.
    `TopologyPath` | `getPath(String srcId, String dstId)` Returns the shortest path between the specified nodes.
    `long` | `getSwitchNumber()`
    `long` | `lastModified()` Returns the time-stamp of the most recent modification of the node or link data.
    `TopologyLink.Type` | `LinkTypeToType(TopologyLink link)` returns TopologyLink Type
    `void` | `resetCache()` Resets the node cache and reloads it from scratch.

- - ### Method Detail

    - #### lastModified

          long lastModified()

      Returns the time-stamp of the most recent modification of the node or link data.
      Returns:
        time-stamp in milliseconds since start of epoch

    - #### getNodes

          Set<TopologyNode> getNodes()

      Returns all nodes.
      Returns:
        set of all nodes

    - #### getLinks

          Set<TopologyLink> getLinks()

      Returns all links.
      Returns:
        set of all links

    - #### getAggregateLinks

          Set<AggregateLink> getAggregateLinks()

      Returns all links in aggregated form.
      Returns:
        set of all aggregate links

    - #### getNode

          TopologyNode getNode(String id)

      Returns the node with the specified id.
      Parameters:
        `id` - node id
      Returns:
        node with give id; null if none found

    - #### getPath

          TopologyPath getPath(String srcId,
                             String dstId)

      Returns the shortest path between the specified nodes.
      Parameters:
        `srcId` - source node id
        `dstId` - destination node id
      Returns:
        path descriptor

    - #### createFlow

          MutableFlow createFlow(String srcId,
                               String dstId)

      Creates a new flow descriptor with source and destination information for the specified nodes.
      Parameters:
        `srcId` - source node id
        `dstId` - destination node id
      Returns:
        mutable flow descriptor with source and destination information

    - #### getPath

          TopologyPath getPath(Flow flow)

      Returns the path between the specified nodes using the supplied flow descriptor.
      Parameters:
        `flow` - flow descriptor used for path selection
      Returns:
        path descriptor

    - #### getFlowStats

          List<MBodyFlowStats> getFlowStats(String id)

      Returns list of switch flow stats.
      Parameters:
        `id` - switch node id
      Returns:
        list of flow stat descriptors

    - #### resetCache

          void resetCache()

      Resets the node cache and reloads it from scratch.

    - #### LinkTypeToType

          TopologyLink.Type LinkTypeToType(TopologyLink link)

      returns TopologyLink Type
      Parameters:
        `Link` - Type to TopologyLink Type
      Returns:
        TopologyLink Type

    - #### getNetNodeDpDesc

          boolean getNetNodeDpDesc(TopologyNode node)

      returns void
      Parameters:
        `get` - network node DpDesc
      Returns:
        boolean

    - #### getSwitchNumber

          long getSwitchNumber()

    - #### getHostNumber

          long getHostNumber()

Copyright © 2014. All Rights Reserved.